Astrocal
API ReferenceBooking pagesV1PublicBooking pageOrgslug

Get org booking page listing

Public endpoint — no authentication required. Returns the org's branding and a list of all public event types (active, booking page enabled, non-test), ordered by title. Returns { available: false } when the org is suspended.

GET
/v1/public/booking-page/{orgSlug}

Path Parameters

orgSlug*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/public/booking-page/string"
{
  "available": true,
  "org_name": "string",
  "org_slug": "string",
  "event_types": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "slug": "string",
      "description": "string",
      "duration_minutes": 0,
      "color": "string",
      "price_amount": 0,
      "price_currency": "string",
      "conferencing_provider": "zoom",
      "location": "string"
    }
  ],
  "branding": {
    "logo_url": "string",
    "logo_alt_text": "string",
    "remove_branding": true,
    "listing_page_enabled": true
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}